package cn.fateverse.query.entity.dto;

import cn.fateverse.query.entity.DynamicEcharts;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 动态echarts图表对象 dynamic_echarts
 *
 * @author clay
 * @date 2023-11-16
 */
@Data
@ApiModel("动态echarts图表Dto")
public class DynamicEchartsDto {

    /**
     * echarts主键
     */
    @ApiModelProperty("echarts主键")
    private Long echartsId;

    /**
     * 数据适配器id,可以选择或者直接创建
     */
    @ApiModelProperty("数据适配器id,可以选择或者直接创建")
    private Long adapterId;

    /**
     * echarts名称
     */
    @ApiModelProperty("echarts名称")
    private String echartsName;

    /**
     * echarts配置数据
     */
    @ApiModelProperty("echarts配置数据")
    private String echartsConfig;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    public DynamicEcharts toDynamicEcharts() {
        DynamicEcharts echarts = DynamicEcharts.builder()
                .echartsId(echartsId)
                .adapterId(adapterId)
                .echartsName(echartsName)
                .echartsConfig(echartsConfig)
                .build();
        echarts.setRemark(remark);
        return echarts;
    }
}